commit:     ac7866bb70bd1b9041519280f79d3fbb36ff07bc
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  1 17:47:50 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Feb 10 23:11:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac7866bb

app-vim/fluxbox-syntax: EAPI 6 bump.

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
RepoMan-Options: --force

 .../fluxbox-syntax/fluxbox-syntax-1.5-r1.ebuild    | 28 ++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/app-vim/fluxbox-syntax/fluxbox-syntax-1.5-r1.ebuild 
b/app-vim/fluxbox-syntax/fluxbox-syntax-1.5-r1.ebuild
new file mode 100644
index 00000000000..1165be5cb0a
--- /dev/null
+++ b/app-vim/fluxbox-syntax/fluxbox-syntax-1.5-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: fluxbox files syntax and indent"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=679";
+LICENSE="vim"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~x86-macos"
+
+RDEPEND="app-vim/genindent"
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin provides syntax highlighting and indent settings for fluxbox
+menus and similar files. Upstream don't provide us with an ftdetect file,
+but a simple one has been created for you by this ebuild. You can manually
+set the filetype using :set filetype=fluxbox if necessary."
+
+VIM_PLUGIN_MESSAGES="filetype"
+
+src_prepare() {
+       default
+       mkdir ftdetect || die
+       echo "au BufNewFile,BufRead /*/*fluxbox/*menu set filetype=fluxbox" \
+               > ftdetect/fluxbox.vim || die
+}

Reply via email to